'
' JustLDAPDomain test script for returning the Error Status for the last method called .
'
' NOTE: This is a secondary method and should ONLY be called as part of a primary method.
'       It returns an error indication (either True or False) for the last primary method called.
'
' Returns True if an error was detected as part of the last operation
' or False if no error was detected.
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  ' Result = oLdap.{ <<<<<>  Call any of the JustLDAPDomain methods here  >>>>>> }
 
  '
  ' other processing here......
  '
  '

  ' Now check for any Error

  If oLdap.ErrorOccurred() = True Then

    Wscript.Echo "Error detected during last method call"
    
    Result = oLdap.GetLastErrorAsMessage()
  
  Else
 
    Result = "No error detected."

  End If
  

  Wscript.Echo(Result) 

Set oLdap = Nothing



