'
' JustLDAP test script to move a user to a fully specified OU.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID  (sAMAccountName) i.e. User Login name and TargetOU
' 
' Returns 0 indicating success
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.MoveUserTo("salesuser", "ou=Sales,ou=Canada,dc=yourcompany,dc=com")


  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    Wscript.Echo(Result)

  End If

Set oLdap = Nothing


