'
' JustLDAP test script to set "User must change password at next logon" to false
'
' NOTE: !!!  If set to true, JustLDAP automatically clears the "User cannot change password"
'            and "Password never expires" flags (if set).
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'                  - Selection (True or False)
'
' Returns Variant - Typically 0 - indicating success 
'

Option Explicit

Dim oLdap, Result, Test

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.UserMustChangePasswordAtNextLogon("bobuser", False) ' False clears this flag

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)

Set oLdap = Nothing


